cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-F branch=my-feature-branch \
-F url=https://figma.com/file/xxxxx/sample \phrase figma_attachment update \
--project_id <project_id> \
--id <id> \
--data '{"branch":"my-feature-branch", "url":"https://figma.com/file/xxxxx/sample" }' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{id}"
payload = {
"branch": "my-feature-branch",
"url": "https://figma.com/file/xxxxx/sample"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: 'my-feature-branch', url: 'https://figma.com/file/xxxxx/sample'})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Figma attachments
Update a Figma attachment
Update an existing Figma attachment.
PATCH
/
projects
/
{project_id}
/
figma_attachments
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-F branch=my-feature-branch \
-F url=https://figma.com/file/xxxxx/sample \phrase figma_attachment update \
--project_id <project_id> \
--id <id> \
--data '{"branch":"my-feature-branch", "url":"https://figma.com/file/xxxxx/sample" }' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{id}"
payload = {
"branch": "my-feature-branch",
"url": "https://figma.com/file/xxxxx/sample"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: 'my-feature-branch', url: 'https://figma.com/file/xxxxx/sample'})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
specify the branch to use
Body
application/json
Was this page helpful?
⌘I